---
schemaVersion: 2.2.0
metadata: {}
components:
  - name: tooling-container
    attributes:
      gl/inject-editor: true
    container:
      image: quay.io/mloriedo/universal-developer-image:ubi8-dw-demo
      args:
        - |-
          sshd_path=$(which sshd)
          if [ -x "$sshd_path" ]; then
            echo "Starting sshd on port ${GL_SSH_PORT}"
            $sshd_path -D -p $GL_SSH_PORT &
          else
            echo "'sshd' not found in path. Not starting SSH server."
          fi
          ${GL_TOOLS_DIR}/init_tools.sh
      command:
        - "/bin/sh"
        - "-c"
      env:
        - name: GL_TOOLS_DIR
          value: "/projects/.gl-tools"
        - name: GL_EDITOR_LOG_LEVEL
          value: "info"
        - name: GL_EDITOR_PORT
          value: "60001"
        - name: GL_SSH_PORT
          value: "60022"
        - name: GL_EDITOR_ENABLE_MARKETPLACE
          value: "false"
      endpoints:
        - name: editor-server
          targetPort: 60001
          exposure: public
          secure: true
          protocol: https
        - name: ssh-server
          targetPort: 60022
          exposure: internal
          secure: true
      dedicatedPod: false
      mountSources: true
  - name: database-container
    container:
      image: mysql
      env:
        - name: MYSQL_ROOT_PASSWORD
          value: "my-secret-pw"
      dedicatedPod: false
      mountSources: true
  - name: gl-tools-injector
    container:
      image: registry.gitlab.com/gitlab-org/remote-development/gitlab-workspaces-tools:2.0.0
      env:
        - name: GL_TOOLS_DIR
          value: "/projects/.gl-tools"
      memoryLimit: 512Mi
      memoryRequest: 256Mi
      cpuLimit: 500m
      cpuRequest: 100m
events:
  preStart:
    - gl-tools-injector-command
commands:
  - id: gl-tools-injector-command
    apply:
      component: gl-tools-injector
